org.apache.lucene.codecs.asserting

## Class AssertingStoredFieldsFormat

- java.lang.Object
- - org.apache.lucene.codecs.StoredFieldsFormat
  - - org.apache.lucene.codecs.asserting.AssertingStoredFieldsFormat

-     public class AssertingStoredFieldsFormat
      extends StoredFieldsFormat

  Just like the default stored fields format but with additional asserts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingStoredFieldsFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StoredFieldsReader` | `fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`
    `StoredFieldsWriter` | `fieldsWriter(Directory directory, SegmentInfo si, IOContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingStoredFieldsFormat

          public AssertingStoredFieldsFormat()

  - ### Method Detail

    - #### fieldsReader

          public StoredFieldsReader fieldsReader(Directory directory,
                                                 SegmentInfo si,
                                                 FieldInfos fn,
                                                 IOContext context)
                                          throws IOException

      Specified by:
        `fieldsReader` in class `StoredFieldsFormat`
      Throws:
        `IOException`

    - #### fieldsWriter

          public StoredFieldsWriter fieldsWriter(Directory directory,
                                                 SegmentInfo si,
                                                 IOContext context)
                                          throws IOException

      Specified by:
        `fieldsWriter` in class `StoredFieldsFormat`
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.